org.deidentifier.arx.framework.check

## Enum TransformationCheckerStateMachine.TransitionType

- java.lang.Object
- - java.lang.Enum<TransformationCheckerStateMachine.TransitionType>
  - - org.deidentifier.arx.framework.check.TransformationCheckerStateMachine.TransitionType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TransformationCheckerStateMachine.TransitionType>

Enclosing class:
  TransformationCheckerStateMachine

    public static enum TransformationCheckerStateMachine.TransitionType
    extends java.lang.Enum<TransformationCheckerStateMachine.TransitionType>

The possible transition type.

Author:
  Fabian Prasser, Florian Kohlmayer

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ROLLUP` Apply the roll-up optimization.
`SNAPSHOT` Apply the snapshot optimization.
`UNOPTIMIZED` Unfortunately all rows need to be transformed.

### Method Summary

All Methods Static Methods Concrete Methods
`static TransformationCheckerStateMachine.TransitionType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TransformationCheckerStateMachine.TransitionType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ROLLUP

    public static final TransformationCheckerStateMachine.TransitionType ROLLUP

Apply the roll-up optimization.

#### SNAPSHOT

    public static final TransformationCheckerStateMachine.TransitionType SNAPSHOT

Apply the snapshot optimization.

#### UNOPTIMIZED

    public static final TransformationCheckerStateMachine.TransitionType UNOPTIMIZED

Unfortunately all rows need to be transformed.

### Method Detail

#### values

    public static TransformationCheckerStateMachine.TransitionType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TransformationCheckerStateMachine.TransitionType c : TransformationCheckerStateMachine.TransitionType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TransformationCheckerStateMachine.TransitionType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null